# /etc/csh.login: This file contains login defaults used by csh and tcsh.

# Set up some environment variables:
if ($?prompt) then
	umask 022
	set cdpath = ( /var/spool )
	set notify
	set history = 100
	setenv OPENWINHOME /usr/openwin
        setenv MANPATH /usr/local/man:/usr/man/preformat:/usr/man:/usr/X11R6/man:/usr/openwin/man
	setenv MINICOM "-c on"
	setenv HOSTNAME "`cat /etc/HOSTNAME`"
	setenv LESS "-M"
	setenv LESSOPEN "|lesspipe.sh %s"
#	setenv MOZILLA_HOME /usr/local/netscape
	set path = ( $path /usr/X11R6/bin /usr/andrew/bin $OPENWINHOME/bin /usr/games . )
endif

# I had problems with the backspace key installed by 'tset', but you might want
# to try it anyway, instead to the 'setenv term.....' below it.
# eval `tset -sQ "$term"`
# setenv term linux
# if ! $?TERM setenv TERM linux
# Set to "linux" for unknown term type:
if ("$TERM" == "") setenv TERM linux
if ("$TERM" == "unknown") setenv TERM linux

# Set the default shell prompt:
set prompt = "%m:%~%# "

# Set up the LS_COLORS environment variable for color ls output:
eval `dircolors -t`

# Notify user of incoming mail.  This can be overridden in the user's
# local startup file (~/.login)
biff y
# Add path and MANPATH for teTeX:
set path = ( $path /usr/lib/teTeX/bin )
setenv MANPATH ${MANPATH}:/usr/lib/teTeX/man
# Additional path variables for the Qt package:
if ( ! $?QTDIR ) then
    setenv QTDIR /usr/local/qt
endif
if ( $?PATH ) then
    setenv PATH $QTDIR/bin:$PATH
else
    setenv PATH $QTDIR/bin
endif
if ( $?MANPATH ) then
    setenv MANPATH $QTDIR/man:$MANPATH
else
    setenv MANPATH $QTDIR/man
endif
if ( $?LD_LIBRARY_PATH ) then
    setenv LD_LIBRARY_PATH $QTDIR/lib:$LD_LIBRARY_PATH
else
    setenv LD_LIBRARY_PATH $QTDIR/lib
endif
if ( ! $?LIBRARY_PATH ) then
    setenv LIBRARY_PATH $LD_LIBRARY_PATH
endif
if ( $?CPLUS_INCLUDE_PATH ) then
    setenv CPLUS_INCLUDE_PATH $QTDIR/include:$CPLUS_INCLUDE_PATH
else
    setenv CPLUS_INCLUDE_PATH $QTDIR/include
endif
# Print a fortune cookie for login shells:
if ( { tty --silent } ) then >& /dev/null
  echo "" ; fortune /usr/games/lib/fortunes/fortunes /usr/games/lib/fortunes/fortunes2 ; echo ""
endif
